Subject: bug#40113: 28.0.50; Tramp uses 100% CPU then times out

From: Alan Third <[email-masked]>
Date: Wed, 18 Mar 2020 21:41:08 +0100 (CET)

On Wed, Mar 18, 2020 at 09:27:30PM +0100, Michael Albinus wrote:
> Alan Third <[email-masked]> writes:
> 
> Hi Alan,
> 
> > The debug buffer has about 150MB of data in it. Even compressed it’s
> > over 4MB. Should I send it over or is there something specific you
> > want me to look for?
> 
> You can send it directly to me. I'll take a look.

Sent off list.

> >> Is it possible to interrupt Tramp with C-g?
> >
> > Yes, it takes a few seconds to react, but it does work.
> 
> Thanks. Just some other questions: Does it happen also with "emacs -Q"?
> Does it happen with Emacs 27.0.90, or Emacs 26.3?

It happens with both Emacs 27 (just did a pull/make, so it’s up to
date) and the master branch. I’ve not tried 26.

All the testing here is with emacs -Q on the master branch. With my
full configuration it seems even worse as even just typing the path in
can slow down Emacs. I don’t know if that’s related, though.
-- 
Alan Third